"""Package for a static source of context values."""

from asteex.abstract.context import Source
from asteex.core.context.source.strategy import Strategy


class StaticSource(Source):
    """Class for a source with a static value."""

    def __init__(self, value, strategy=Strategy.GET_SOURCE_VALUE.value):
        super().__init__(strategy=str(strategy))
        self.__value = value

    def get_value(self):
        """Get context value.

        :returns: a stored static value.
        """
        return self.__value
